ranges::v3::next_fn Struct Reference
Utility

## Public Member Functions

template<typename I , requires = (Iterator<I>())>
I | operator() (I it) const
template<typename I , requires = (Iterator<I>())>
I | operator() (I it, difference_type_t< I > n) const
template<typename I , typename S , requires = (Sentinel<S, I>())>
I | operator() (I it, S s) const
template<typename I , typename S , requires = (Sentinel<S, I>())>
I | operator() (I it, difference_type_t< I > n, S bound) const